Load curve for a specific site
curl --request GET \
--url https://api.voltview.co.uk/v1/sites/{siteId}/loadCurve \
--header 'x-api-key: <api-key>'import requests
url = "https://api.voltview.co.uk/v1/sites/{siteId}/loadCurve"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.voltview.co.uk/v1/sites/{siteId}/loadCurve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"siteId": "<string>",
"data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"value": 123,
"unit": "<string>"
}
]
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Energy Consumption
Load curve for a specific site
Retrieves load curve data for a specific site
GET
/
v1
/
sites
/
{siteId}
/
loadCurve
Load curve for a specific site
Each point is interval consumption (kWh) or demand (kW) on the settlement clock. The highest kW interval is the site’s maximum demand.
Authorizations
VoltView API key
Path Parameters
Site identifier
Query Parameters
Start date and time (ISO 8601)
Example:
"2024-01-01T00:00:00.000Z"
End date and time (ISO 8601)
Example:
"2024-12-31T23:59:59.999Z"
Level of data aggregation
Available options:
hour, day, month Unit of measurement
Available options:
kWh, kW